XdbeGetBackBufferAttributes(3) | Library Functions Manual | XdbeGetBackBufferAttributes(3)

# NAME

XdbeGetBackBufferAttributes - returns attributes of a DBE buffer.

# SYNOPSIS

#include <X11/extensions/Xdbe.h>

XdbeBackBufferAttributes *XdbeGetBackBufferAttributes( Display *dpy, XdbeBackBuffer buffer)

# DESCRIPTION

This function returns the attributes associated with the specified buffer.

The XdbeBackBufferAttributes structure has the following fields:

Window window window that buffer belongs to

If buffer is not a valid XdbeBackBuffer, window returns None.

The returned XdbeBackBufferAttributes structure can be freed with the Xlib function Xfree().

# SEE ALSO

DBE, XdbeAllocateBackBufferName(), XdbeBeginIdiom(), XdbeDeallocateBackBufferName(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetVisualInfo(), XdbeQueryExtension(), XdbeSwapBuffers().

X Version 11 | X FUNCTIONS